CADsite

  • ma 20 11 2017, 16:08:34
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Pagina's: [1]   Omlaag

Auteur Topic: AutoCAD PLAN (that does not zoom out)  (gelezen 151 keer)

cadtools@gmail.com

  • vaste forumklant
  • *****
  • Offline Offline
  • Berichten: 314
  • BIM dreamer
    • Bekijk profiel
AutoCAD PLAN (that does not zoom out)
« Gepost op: wo 06 09 2017, 23:24:55 »

Hoi Ik heb iets geprogrammeerd.
Misschien denk je, wat moet ik er mee? of misschien .. dat kan beter... Ik doe dat meestal anders ..
Ik hoop op het laatste, daarom deel ik hem even

onderstaande demo over gebruik, spreek neem ik aan voor zich



https://youtu.be/cN_QbiOR7co


; command PLAN gebruiken zonder uit te zoomen
; custom command voor instellen UCS naast ucsfollow                                         
; view to ucs => PLN in plaats van PLAN
; UCS World => WCS
; UCS view / object / face / 3 punten => UCV UCO UCF UCO3
; roteer ucs 90 graden : UCM

; PLN werkt in 3d met EXPLAN (EXPRESS tools)

(defun c:pln ()
    (setq getviewdir (getvar "viewdir"))
    (setq getviewdir_x (car getviewdir))
    (setq getviewdir_y (car (cdr getviewdir)))
    (setq result_pln (+ getviewdir_x getviewdir_y))
    (print result_pln)
    (if (= result_pln 0) (c:pln_2d) (c:explan))
)


(defun c:pln_2d ()
 (setq vctr (getvar "viewctr"))
 (setq vsize (getvar "viewsize"))
 (setq olducsfollow (getvar "ucsfollow"))   
 (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ())     
 (setq getosnapz (getvar "osnapz")) (if (= getosnapz 1) (setvar "gridmode"  1) (setvar "gridmode"  0))   
 (command "plan" "")
 (command "_.zoom" "c" vctr vsize)   
 (command "ucs" "v")
 (setvar "ucsfollow" olducsfollow) ; voorgaande waarde
)


(defun C:ucp ()
  (prompt "\t* UCS - previous")
  (SETVAR "UCSICON" 1)
  (setq olducsfollow (getvar "ucsfollow"))   
  (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ())
  (command "UCS" "p")
  (setvar "ucsfollow" olducsfollow) ; voorgaande waarde
  (prin1)
)

(defun C:ucf ()
  (prompt "\t* set UCS to face")
  (SETVAR "GRIDMODE" 0)
  (SETVAR "OSNAPZ" 0)
  (SETVAR "UCSICON" 1)
  (setq olducsfollow (getvar "ucsfollow"))   
  (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ()) 
  (command "UCS" "f" pause pause)
  (setvar "ucsfollow" olducsfollow) ; voorgaande waarde
  (prin1)
)


(defun C:UCO(/ ENT1 )
  (setq ENT1 (entsel "\nPick object to align UCS:"))
  (setq olducsfollow (getvar "ucsfollow"))   
  (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ()) 
  (command "ucs" "ob" ENT1)
  (setvar "ucsfollow" olducsfollow) ; voorgaande waarde
  (princ)


(defun C:uc3 ()
  (prompt "\t* set UCS 3 points")
  (SETVAR "GRIDMODE" 0)
  (SETVAR "OSNAPZ" 0)
  (SETVAR "UCSICON" 1)
  (setq olducsfollow (getvar "ucsfollow"))   
  (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ())
  (command "UCS" "3" pause pause pause)
  (setvar "ucsfollow" olducsfollow) ; voorgaande waarde
  (prin1)
)

(defun C:ucm ()
  (setvar "cmdecho" 0) 
  (prompt "\t* draai UCS haaks MET de klok mee")
  (setvar "UCSICON" 1)
  (setq olducsfollow (getvar "ucsfollow"))   
  (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ()) 
  (command "UCS" "z" "")
  (setvar "ucsfollow" olducsfollow) ; voorgaande waarde 
  (prin1)
)


(defun C:WCS ()
  (setvar "UCSICON" 1)
  (setq olducsfollow (getvar "ucsfollow"))   
  (setq getucsfollow (getvar "ucsfollow")) (if (= getucsfollow 1) (setvar "ucsfollow"  0) ())
  (command "UCS" "")
  (setvar "ucsfollow" olducsfollow) ; voorgaande waarde
  (prin1)
)


Gelogd
Pagina's: [1]   Omhoog